<?

header("Content-type: text/plain;charset=GBK");
$phone_code = substr(trim($_POST['phone']) ,0,11);

/*********开始数据库配置***************/

$host = "localhost";//数据库地址

$username = "mobile";//数据库用户名

$password = "1234567";//数据库密码

$db_name = "mobile";//数据库名字

/*********结束数据库配置***************/

$check_phone_code = substr($phone_code,0,7); //截取手机号码前7位
if (!checkmb($check_phone_code)) die ('不是合法的手机号码！');

$db = @mysql_connect($host,$username,$password) or die("连接到据库出错！");  //连接数据库
@mysql_select_db($db_name) or die("连接到数据库出错！");   //选择数据库
@mysql_query("Set Names GBK");
$sql = "SELECT `mpla` FROM `mobile` WHERE `mnum` LIKE '".${check_phone_code}."%' limit 2";  //构造sql查询语句

$query = mysql_query($sql) or die("查询出错或此号码暂未收录！");  //查询

if (mysql_num_rows($query) < 1) {  //返回查询行数
	die("没有此号码或此号码暂未收录！");
}
while($row = mysql_fetch_array($query))
{
	if (strlen($row['mpla'])<2) echo "  "; else echo $row['mpla'];

}
mysql_free_result($query);
mysql_close($db);
function checkmb($mb){
	if (strlen($mb) !=7 or !is_numeric($mb)){
		return false;
	}else{
		return true;
	}
}
?>